---
title: "Triggers deletion of declarations in elasticsearch for given product-ids."
url: "https://developer.migros.ch/apis/triggers-8/versions/8e2720b4-0e30-4553-81ff-aa471a463bcd/operations/trigger-declaration-elasticsearch-delete"
---

> Full API specification: https://developer.migros.ch/apis/triggers-8/versions/8e2720b4-0e30-4553-81ff-aa471a463bcd.md

# Triggers deletion of declarations in elasticsearch for given product-ids.

`DELETE` `/migros/products/v8/trigger/declaration/elasticsearch`

Operation ID: `trigger-declaration-elasticsearch-delete`

This is an internal route and doesn't necessarily follow API versioning.

## Query parameters

- `product-ids` (string, required) - The declarations of the given product IDs will be deleted in Elasticsearch, separated by commas.

## Responses

- `204` - Returned when successful.
- `400` - If the request parameters are invalid.

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Triggers
  version: "8"
servers:
  - description: Public Kong Gateway URL
    url: https://api.migros.ch
paths:
  /migros/products/v8/trigger/declaration/elasticsearch:
    delete:
      description: This is an internal route and doesn't necessarily follow API versioning.
      operationId: trigger-declaration-elasticsearch-delete
      parameters:
        - description: The declarations of the given product IDs will be deleted in
            Elasticsearch, separated by commas.
          in: query
          name: product-ids
          required: true
          schema:
            type: string
      responses:
        "204":
          description: Returned when successful.
        "400":
          $ref: "#/components/responses/400"
      summary: Triggers deletion of declarations in elasticsearch for given product-ids.
      tags:
        - Triggers
security:
  - Kong-Api-Key: []
    basicAuth: []
components:
  responses:
    "400":
      description: If the request parameters are invalid.
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    basicAuth:
      scheme: basic
      type: http
```
